import os
import pandas as pd
import numpy as np
import tweepy
from tweepy import OAuthHandler
import requests
from tqdm import tqdm
from bs4 import BeautifulSoup as bs
from urllib.parse import urljoin, urlparse
from requests_oauthlib import OAuth1


#Put Twitter API authentication

consumer_key = 'Put the consumer_key here'
consumer_secret = 'Put the consumer_secret here'
access_token = 'Put the access_token here'
access_secret = 'Put the access_secret here'
 
auth = OAuthHandler(consumer_key, consumer_secret)
auth.set_access_token(access_token, access_secret)
 
api = tweepy.API(auth)

#Extract tweets from specific userID. You may use this sample code 
# to filter tweets of specific user profile.

userID = "Put the userID"
tweets = api.user_timeline(screen_name=userID, 
                           count=200,
                           include_rts = False)
print("Number of Tweets Extracted: {}.\n".format(len(tweets)))


#Check whether it works correctly...

for tweet in tweets[:2]:
    print(tweet.text)

#create dataframe to store data.....This is an example formate. 
#You can save tweets and other meta information according to your requirement.

df1 = pd.DataFrame(data=[[len(tweet.text), tweet.text, tweet.created_at, tweet.user.screen_name] for tweet in tweets], columns = ['Tweet_Length', 'Tweet_Text', 'Tweet_Date', 'UserName'])
df1.head(5)
